/*****************************************************************************
 * grab-dvb.c: support for Digital Video Broadcast
 *****************************************************************************
 * $Id: grab-dvb.c,v 1.1 2005/04/02 08:15:48 alainjj Exp $
 *****************************************************************************
 * Program under GNU General Public License (see ../COPYING)
 *****************************************************************************/

/*
  It is just the skeleton since the current author has no DVB card !!!!
  see http://www.linuxtv.org/docs/dvbapi/dvbapi.html
  for the documentation of the driver
  Try this file by using the option "-dvb"
  This file should be a mixture of grab-v4l2.c and grab-avi.c
  (so with a different thread for the audio)
  the software MPEG decoder should a-priori use ffmpeg 
*/

#include "config.h"
#ifdef HAVE_DVB

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <stdlib.h>
#include <linux/dvb/frontend.h>

#include "strtab.h"
#include "grab.h"

/* prototypes */

static struct STRTAB norms[] = {
  {0,   "PAL"},
  {1,  "NTSC"},
  {2, "SECAM"},
  {-1, NULL}
};

static struct STRTAB inputs[] = {
  {0,   "Television"},
  {-1, NULL}
};

static int
grab_open(struct device_t *device)
{
  int fd;
  fd= open("/dev/dvb/adapter0/frontend0", O_RDWR);
  if(fd<0) return -1;
  fprintf(stderr, "XDTV does NOT support DVB yet\n");
#if 1
  fprintf(stderr, "It seems that you have a DVB-card\n"
	  "and you are interested by its support by xdtv\n"
	  "if you want to contribute, you can send a mail to\n"
	  "xawdecode-develo@lists.sourceforge.net.\n");
  exit(1);
#endif
  return -1;
}

static int
grab_close ()
{
  return 0;
}


static int
grab_overlay (int x, int y, int width, int height, int format,
              struct OVERLAY_CLIP *oc, int count)
{
  return 0;
}


static void * get_img (video_fmt f, int width, int height)
{
  return NULL;
}

static int fmt_available(video_fmt f) {
  return 0;
}

/* ---------------------------------------------------------------------- */

static int
grab_tune (unsigned long freq)
{
  return 0;
}

static int
grab_tuned ()
{
  return 1;
}

static int
grab_input (int input, int norm)
{
  return 0;
}

static int
grab_picture (int color, int bright, int hue, int contrast)
{
  return 0;
}

static int
grab_audio (int mute, int volume, int *mode)
{
  return 0;
}

static int is525(int norm) {
  return 1;
}

static int issecam(int norm) {
  return 0;
}

static void* get_buf(int i){
  return NULL;
}

struct GRABBER grab_dvb = {
  "dvb",
  norms, inputs,
  grab_open,
  grab_close,
  grab_overlay,
  fmt_available,
  get_img,
  grab_tune,
  grab_tuned,
  grab_input,
  grab_picture,
  grab_audio,
  is525,
  issecam,
  get_buf
};
#endif

