##############################################################################
# $Id: xdtv-gen.spec.in,v 1.12 2005/05/29 19:17:18 pingus77 Exp $
##############################################################################
# need neXtaw 0.15.1, FFmpeg 0.4.8 from FFmpeg SF project, lame 3.96-1 from Lame SF project
# divx 5.05 from divx.com (do not work on P4 CPU) 5.0.1alpha version is better,
# xvid 0.92 or 1.0.x from xvid.org, zvbi 0.2.8 from Zapping SF project
# xterm, alsa 0.9 mini work with alsa 1.0.x

%define _unpackaged_files_terminate_build 0

# build with -with optimization
%define build_optimization 0
%{?_with_optimization: %{expand: %%define build_optimization 1}}

# build with -with noalsa
%define build_noalsa 0
%{?_with_noalsa: %{expand: %%define build_noalsa 1}}

# build with -with nopixmaps
%define build_nopixmaps 0
%{?_with_nopixmaps: %{expand: %%define build_nopixmaps 1}}

# build with -with debug
%define build_debug 0
%{?_with_debug: %{expand: %%define build_debug 1}}

# build with -with xinerama
%define build_xinerama 0
%{?_with_xinerama: %{expand: %%define build_xinerama 1}}

# build with -with noxaw3d
%define build_noxaw3d 0
%{?_with_noxaw3d: %{expand: %%define build_noxaw3d 1}}

# build with -with noxawm
%define build_noxawm 0
%{?_with_noxawm: %{expand: %%define build_noxawm 1}}

# build with -with nonextaw
%define build_nonextaw 0
%{?_with_nonextaw: %{expand: %%define build_nonextaw 1}}

# build with -with noxaw95
%define build_noxaw95 0
%{?_with_noxaw95: %{expand: %%define build_noxaw95 1}}

%define name 			xdtv
%define Name 			XdTV
%define version 		2.2.0
%define release 		1
%define summary1		%{Name} is a software to watch TV.
%define summary2		Developpement files for %{Name}.
%define summary3		Font used by %{Name} OSD function.

Name: 				%{name}
Summary: 			%{summary1}
Version: 			%{version}
Release: 			%{release}
Copyright: 			GPL
Distribution: 			ALL RPM Based Linux Distributions
Packager: 			Pingus <pingus_77@yahoo.fr>
URL:				http://xawdecode.sourceforge.net/
Source0:			%{name}-%{version}.tar.gz
Group: 				Video
BuildRoot: 			%{_tmppath}/%{name}-%{version}-buildroot

%description
%{Name} is a software that allows you to watch TV.
It interacts with AleVT for Teletext and Nxtvepg for NextView,
and uses the video4linux API. It can use deinterlacing filters
and record video files with the ffmpeg, xvid, and divx codecs.

%package devel
Summary:			%{summary2}
Group:				Development/C
Requires:			%{name} = %{version}

%description devel
Developpement files for %{name} 

%package OSD-font
Summary:			%{summary3}
Group:				Video
Requires:			%{name} = %{version}

%description OSD-font
Font used by %{Name} OSD function.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -a 0

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} \
%if !%build_optimization
	--disable-cpu-detection \
%endif
%if %build_noalsa
	--disable-alsa \
%endif
%if %build_nopixmaps
	--disable-pixmaps \
%endif
%if %build_debug
	--disable-nodebug \
%endif
%if %build_xinerama
	--enable-xinerama \
%endif
%if %build_noxaw3d
	--disable-xaw3d \
%endif
%if %build_nonextaw
	--disable-nextaw \
%endif
%if %build_noxawm
	--disable-xawm \
%endif
%if %build_noxaw95
	--disable-xaw95 \
%endif

make

%install
make ROOT="$RPM_BUILD_ROOT" prefix="$RPM_BUILD_ROOT"%{_prefix} install
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_v4l-conf
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_wizard
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmd
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_scantv
strip $RPM_BUILD_ROOT/%{_bindir}/%{name}_alevt-cap

# Cure man path if needed
install -d -m 755 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_cmd.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt-cap.1 %{buildroot}%{_mandir}/man1/
install -m 644 man/%{name}_alevt.1 %{buildroot}%{_mandir}/man1/
bzip2 %{buildroot}%{_mandir}/man1/%{name}.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_cmd.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt.1
bzip2 %{buildroot}%{_mandir}/man1/%{name}_alevt-cap.1

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING lisez-moi README INSTALL TODO
%doc FAQfr-xdtv xdtvrc.sample lircrc.WinfastTV2000.sample
%doc lircrc.hauppauge.sample lircrc.miro.sample lircrc.animax.sample
%doc  README.deinterlace README.ffmpeg README.gentoo
%doc  README.bs README.record README.lirc README.http README.bsd
%{_sysconfdir}/X11/app-defaults/%{Name}
%{_sysconfdir}/xdtv/%{name}_wizard-en.conf
%{_bindir}/%{name}
%{_bindir}/%{name}_cmd
%{_bindir}/%{name}_wizard
%{_bindir}/%{name}_scantv
%{_bindir}/%{name}_alevt-cap
%{_bindir}/%{name}_v4l-conf
%{_bindir}/%{name}_scan.sh
%{_bindir}/%{name}_record.sh
%{_bindir}/%{name}_makedvd.sh
%{_mandir}/man1/*
%{_datadir}/%{name}/icons/*

%files devel
%defattr(-,root,root)
%{_includedir}/*

%files OSD-font
%defattr(-,root,root)
%{_prefix}/X11R6/lib/X11/fonts/misc/*.pcf

%clean
rm -rf $RPM_BUILD_ROOT
